libzypp_14.29.1-2_amd64.deb


Advertisement

Description

libzypp - openSUSE/SLES package management system (library)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libzypp
Package version 14.29.1
Package release 2
Package architecture amd64
Package type deb
Installed size 4.81 KB
Download size 1.37 MB
Official Mirror ftp.br.debian.org
libzypp is the package management library that powers applications like
YaST, zypper and the openSUSE/SLE implementation of PackageKit.
libzypp provides all the functionality for a package manager:
- an API for package repository management, supporting most common
repository metadata formats and signed repositories
- an API for solving packages, products, patterns and patches (installation,
removal, update and distribution upgrade operations) dependencies, with
additional features like locking
- an API for comitting the transaction to the system over a rpm target;
supporting deltarpm calculation, media changing and installation order
calculation
- an API for browsing available and installed software, with some facilities
for programs with an user interface
- a suite of maintained solving testcases representing common and uncommon
operations on Linux software management
This package contains the main shared library for the zypper package
management system.

Alternatives

Package Version Architecture Repository
libzypp_14.29.1-2_i386.deb 14.29.1 i386 Debian Main
libzypp - - -

Requires

Name Value
gnupg -
gnupg2 -
libc6 >= 2.16
libcurl3-gnutls >= 7.16.2
libexpat1 >= 2.0.1
libgcc1 >= 1:4.1.1
libproxy1 >= 0.4.11
librpm3 >= 4.10.0
libsolv-tools -
libsolv0 >= 0.6.5
libsolvext0 >= 0.6.5
libssl1.0.0 >= 1.0.0
libstdc++6 >= 4.9
libudev1 >= 183
libxml2 >= 2.7.4
multiarch-support -
rpm -
zlib1g >= 1:1.2.3.4

Download

Type URL
Binary Package libzypp_14.29.1-2_amd64.deb
Source Package libzypp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzypp deb package:
    # sudo apt-get install libzypp

Files

Path
/usr/lib/x86_64-linux-gnu/libzypp.so.1429
/usr/lib/x86_64-linux-gnu/libzypp.so.1429.0.1
/usr/share/doc/libzypp/TODO
/usr/share/doc/libzypp/changelog.Debian.gz
/usr/share/doc/libzypp/copyright
/usr/share/lintian/overrides/libzypp

Changelog

2014-09-25 - Mike Gabriel <sunweaver@debian.org>
libzypp (14.29.1-2) unstable; urgency=medium
* debian/libzypp-config.postinst:
+ Fix package installation failure if /etc/zypp/locks is not present.
* debian/patches:
+ Fix /1002_cmake-module-path-fix.patch. Install cmake configs to
/usr/lib/<triplet>/Zypp/ZyppConfig.cmake (instead of
LibZypp/LibZyppConfig.cmake).
2014-09-25 - Mike Gabriel <sunweaver@debian.org>
libzypp (14.29.1-1) unstable; urgency=medium
* Initial release. (Closes: #761988).

See Also

Package Description
libzzip-0-13_0.13.62-3+deb8u1_amd64.deb library providing read access on ZIP-archives - library
libzzip-dev_0.13.62-3+deb8u1_amd64.deb library providing read access on ZIP-archives - development
license-reconcile_0.5_all.deb tool to reconcile copyright file and source
licenseutils_0.0.7-3_amd64.deb Put copyright and license notices at the head of source code files
licq-dev_1.8.2-1_all.deb Licq development and header files
licq-plugin-autoreply_1.8.2-1+b1_amd64.deb autoreply plug-in for Licq
licq-plugin-forwarder_1.8.2-1+b1_amd64.deb forwarder plug-in for Licq
licq-plugin-icq_1.8.2-1+b1_amd64.deb ICQ/AIM plug-in for Licq
licq-plugin-jabber_1.8.2-1+b1_amd64.deb Jabber plug-in for Licq
licq-plugin-kde4_1.8.2-1+b1_amd64.deb graphical user interface plug-in for Licq using KDE4
licq-plugin-msn_1.8.2-1+b1_amd64.deb MSN plug-in for Licq
licq-plugin-osd_1.8.2-1+b1_amd64.deb on-screen display plug-in for Licq
licq-plugin-qt4-common_1.8.2-1_all.deb common data files for the Qt4 and KDE4 Licq plugins
licq-plugin-qt4_1.8.2-1+b1_amd64.deb graphical user interface plug-in for Licq using Qt4
licq-plugin-rms_1.8.2-1+b1_amd64.deb remote management server plug-in for telnet Licq access
Advertisement
Advertisement